v1.2.9 | 2026-08-16
────────────────────────────────────────────────────────────────────────
* NEW CENTRAL HUB BUTTON ON THE WORLD MAP OPENS ONE LIST OF ALL YOUR MINES AND SETTLEMENTS, SO YOU CAN FIND AND JUMP TO ANY OF THEM FAST (THANKS SERJEVSKI FOR THE SUGGESTION).

  - Mines are split into two columns and grouped by what they produce, with settlements in a third column.

  - Each resource heading adds up what all your working mines of that type make per cycle and what they cost you in unity.

  - Clicking any entry moves the map to it and opens its window beside the list, and the list stays open so you can go through several in a row.

  - Each entry shows its level, or reputation for settlements, and reads "Not Repaired" while it still needs repairs.

  - A search box in its own box at the bottom filters the list by name or resource, so you can type coal, oil or water to find what you need.

  - A Pre Load Shipyard button sits next to the search and opens the Upgrade Manager's Pre Load Shipyard tab.

────────────────────────────────────────────────────────────────────────
* NEW "BUILDINGS" SECTION ON THE GAMEPLAY TAB LETS YOU HIDE OR FADE THE PAUSE ICON ABOVE PAUSED BUILDINGS WHILE THE GAME IS RUNNING (THANKS MAG FOR THE SUGGESTION).

  - "Hide paused icons in unpaused state" hides them completely while the game is running; they come back the moment you pause the game so you can see what's paused.

  - "Transparency hide icons" fades them instead of hiding them outright, with a slider to pick how see-through they are.

  - "Show pause icons only with Pause tool" keeps them hidden even while the game is paused — they only show up while the Pause tool is in your hand (thanks Mag for the suggestion).

  - Only one of the three can be on at a time — turning one on turns the others off.

  - Icons always show at full opacity while the Pause tool is active, whatever the checkmarks above are set to, so you can see what's paused while you pause more.

────────────────────────────────────────────────────────────────────────
* THE RESEARCH BAR IS NOW ITS OWN HUD ELEMENT THAT YOU CAN MOVE, SCALE AND HIDE SEPARATELY FROM THE NOTIFICATION BUTTONS NEXT TO IT.

  - This can be toggled off on the checkmark.

  - It no longer shrinks down to just the percentage when you move the unity panel past it — the full bar with the research name stays visible.

  - Fixed the research bar disappearing after a restart, or after loading from the main menu, while "Remove Notifications background" was ticked.

────────────────────────────────────────────────────────────────────────
* DRAG THE GRIP IN THE OVERLORD WINDOW'S BOTTOM-RIGHT CORNER TO SET ITS SIZE, AND EVERY TAB LAYS ITSELF OUT FOR THE SIZE YOU PICK.

  - Text reflows to the width you give it, so long labels and tooltips stay readable as the window grows.

  - Buttons, sliders and rows stretch and line up with the window, keeping columns even at any size.

  - Double-click the grip to put the window back to its default size.

────────────────────────────────────────────────────────────────────────
* THE NOTIFICATION POPUP THAT SLIDES IN WITH ALERTS CAN NOW BE MOVED ON ITS OWN, LIKE ANY OTHER HUD PART.

  - Open the HUD tab and the real popup appears where alerts show up, so you can hold Ctrl and drag it into place without waiting for an alert.

  - It only shows while "Draggable HUD Elements" is on and "Lock HUD Positions" is off, and it goes away when you lock HUD position. A real alert always takes priority over it.

  - The popup also gets its own show/hide toggle and scale setting in the same tab.

────────────────────────────────────────────────────────────────────────
* NEW NUDGE SECTION ON THE HUD TAB — PICK ANY HUD ELEMENT AND MOVE IT ONE PIXEL AT A TIME WITH THE ARROW BUTTONS, FOR LINING THINGS UP EXACTLY (THANKS MAG FOR THE SUGGESTION).

  - Click "Click to select HUD to nudge", then click the element on screen; the button then shows which one is selected.

  - The arrows still work while "Lock HUD Positions" is on, so you can fine-tune without risking an accidental drag.

────────────────────────────────────────────────────────────────────────
* THE PIN BUTTON IN THE OVERLORD TITLE BAR HOLDS THE WINDOW IN PLACE WHILE YOU WORK, SO ESC AND PICKING A TOOL BOTH LEAVE IT OPEN (THANKS MAG FOR THE REPORT).

  - It starts pinned each time you load a save. Unpin it and it stays unpinned every time you open the window, until you load a save again.

────────────────────────────────────────────────────────────────────────
* THE OVERLORD WINDOW NOW HAS A SIZE DROPDOWN, 85% TO 120% IN 5% STEPS, SEPARATE FROM THE GAME'S OWN UI SCALE (THANKS VLADOVLAK FOR THE REPORT).

  - Tooltips inside the window follow this size, while tooltips anywhere else in the game stay at their normal size (thanks Mag for the report).

────────────────────────────────────────────────────────────────────────
* THE PRE LOAD SHIPYARD AMOUNT NOW MEANS THE TOTAL YOU WANT KEPT, INSTEAD OF BEING ADDED ON TOP OF WHAT IS ALREADY IN THE SHIP'S CARGO HOLD.

  - Anything above that amount is free again, so trucks can empty the rest back out of the shipyard.

────────────────────────────────────────────────────────────────────────
* A DROPDOWN ON THE HUD TAB LISTS EVERY HUD ELEMENT, SO YOU CAN PUT A SINGLE ONE BACK TO ITS DEFAULT SPOT INSTEAD OF RESETTING THEM ALL.

  - Picking an element and clicking Reset Position asks you to confirm first, naming the element, so nothing moves by accident.

────────────────────────────────────────────────────────────────────────
* THE COMPUTING BOX IN THE TOP BAR NOW USES THE SAME PANEL BACKGROUND AS THE ELECTRICITY BOX, INSTEAD OF THE MIRRORED VERSION.

  - This can be toggled off on the checkmark.

────────────────────────────────────────────────────────────────────────
* SARAH93 UNDERGROUND PIPES MOD'S DEMOLITION DEPTH WINDOW CAN NOW BE MOVED AND SCALED LIKE THE REST OF THE HUD.

  - It shows up while HUD positions are unlocked, so you can place it without starting a demolition first.

────────────────────────────────────────────────────────────────────────
* REMOVED THE "DOUBLE STORAGE & TRANSPORT THROUGHPUT" CHECKMARK AND ITS EFFECT — STORAGES, SORTERS, CONNECTORS, BALANCERS AND LIFTS NO LONGER GET A THROUGHPUT BOOST FROM THIS MOD.

────────────────────────────────────────────────────────────────────────
* HUD ELEMENTS YOU HAVE MOVED KEEP THE SAME OVERLAP ORDER — RESETTING ONE'S POSITION NO LONGER MAKES IT DRAW ON TOP OF EVERY OTHER HUD ELEMENT (THANKS MAG FOR THE REPORT).

────────────────────────────────────────────────────────────────────────
* FIXED CLASSIC RECIPE DISPLAY DOING NOTHING SINCE GAME VERSION 0.8.7A — BUILDING WINDOWS SHOW REAL RECIPE AMOUNTS AGAIN, WITH THE 60S RATE BACK IN THE HOVER POPUP.

────────────────────────────────────────────────────────────────────────
* A ROLL-UP BUTTON IN THE OVERLORD TITLE BAR FOLDS THE WINDOW DOWN TO JUST ITS TITLE BAR, AND CLICKING IT AGAIN OPENS IT BACK UP (THANKS MAG FOR THE ICONS).

────────────────────────────────────────────────────────────────────────
* ALERTS, GOALS, MESSAGES AND RESEARCH EACH GET A CHECKMARK TO SWAP THEIR SEE-THROUGH FROSTED GLASS FOR THE PLAIN SOLID PANEL BACKGROUND.

────────────────────────────────────────────────────────────────────────
* THE PRE LOAD SHIPYARD LIST NOW SHOWS ONLY WHAT YOU PRELOADED, INSTEAD OF EVERYTHING ALREADY SITTING IN THE SHIP'S CARGO HOLD.

────────────────────────────────────────────────────────────────────────
* THE UPGRADE MANAGER WINDOW NOW FILLS OUT TO ITS FULL HEIGHT INSTEAD OF LEAVING A LARGE EMPTY AREA BELOW THE LISTS.

────────────────────────────────────────────────────────────────────────

v1.2.8 | 2026-08-15
* New "Hide labels" option for mining tower labels, with a RShift + L shortcut to turn them off and on (thanks Serjevski for the idea). They come back when you load a save.

* The Overlord window now always shows at 100% size, whatever UI scale you play at (thanks warrenc for the report). At 125% and higher the buttons at the bottom were cut off the screen and everything needed far more scrolling.

* Dump to Shipyard no longer grabs trucks that are assigned to a building — only unassigned stuck trucks are sent to dump their cargo (thanks rgreat for the report).

v1.2.7 | 2026-08-14
* Lots of changes made to the translations.

  - Many dead strings that are no longer in use have been removed.

  - Missing strings for newer parts of the mod have been added.

  - Text that was falling back to English now has its missing translations.

  - Wrong translations, wording and grammar have been updated.

  - If anything still reads wrong, update the translation yourself and send it to me in a DM or on the hub, and I will get it into the mod.

v1.2.6 | 2026-08-13
* Now supports game version 0.8.7a.

* The Overlord window is now the same size on every tab, so it no longer jumps in size when you switch between boost and the other mod tab.

v1.2.5 | 2026-08-10
* Fixed the pin on the Overlord window doing nothing — it now actually closes the window when you open something else (a building, another window) while unpinned, and starts pinned by default the first time you open it each session. (thanks Hoochie for the report)

v1.2.4 | 2026-08-10
* New "Pre load" button on the Shipyard window — opens the Upgrade Manager's Pre Load Shipyard tab directly, with a tooltip explaining what it does.
* Fixed preloaded cargo sitting unused once a repair or upgrade job started (thanks rgreat for the report)
* Fixed Pre Load Shipyard trucks repeatedly unloading and reloading the same cargo near the end of an order instead of settling once it was full.

v1.2.3 | 2026-07-29
* Now supports game version 0.8.7.
* Hovering the "O" button on the HUD now explains that it opens the Mori++ Suite settings and shows the keybind to open it (Alt + W). Translated into all languages.
* New Save/Load buttons in the settings window — save all your Tweaks++ settings to a profile and reload them in any save or new game, so you never set everything up twice.
* Fixed the Mine Tower boundary-line color picker disappearing (leaving just the pause button) after loading a save from within a game — it now stays put. (thanks Serjevski for the report)
* Window is wider and the Designations checkboxes on the Modifications tab no longer overlap or cut off their names.
* New on the Gameplay tab: set if trucks may import/export on newly built unit, loose, fluid and warehouse storages. Existing and blueprint ones are untouched. (thanks SlyPulsar)
* New on the Gameplay tab: choose what newly built mine control towers can dump and warn about. Leave a list empty to keep the base game's choice.
* Added support for 13 more languages — Catalan, Czech, Dutch, Estonian, French, Hungarian, Japanese, Korean, Norwegian, Polish, Swedish, Traditional Chinese and Turkish. Tweaks++ now supports every language the base game does.
* Fixed the Overlord window title, and its Save and Load buttons and their tooltips, always showing in English no matter your language.
* Fixed vehicle scrapping/ordering and profile save/load status messages that stayed in English.
* Fixed the Load button showing as an unrelated word in Simplified Chinese.
* Save and Load now ask you to confirm first, so you cannot overwrite your saved profile or your current settings by accident. (thanks Mag for the suggestion)
* New Pre Load Shipyard tab in the Upgrade Manager — pick a product and amount, trucks fill the ship's hold and it stays locked until released. (thanks rgreat for the suggestion)
* General UI fixes — several buttons and names no longer wrap or overlap in some languages.
* New HUD tab checkmark "Remove Notifications background" — turn it on to hide the background plate behind the Alert/Notifications and Research panels.
* Save/Load now also captures your HUD layout — dragged positions, element scale, hidden elements and notification panel sizes — and restores it live, no reload needed.

v1.2.2 | 2026-07-29
* Now supports game version 0.8.6b.

v1.2.1 | 2026-07-22
* Saved settings now live in a shared "Mori++ Saved settings" folder outside the mod folder, so a manual delete or a mod manager wiping the folder no longer loses them. Because of this move, all your current settings reset to default one time — set everything up again and from then on they're kept safe in that folder.
* The Mori++ HUD buttons are now one single "O" Overlord button — click it to open one window with a tab for each installed mod's settings, instead of a separate button per mod.
* Overlord now has its own keybind (Alt+W by default) to open or close it. Can be changed in Keybind Framework if installed.
* "Pinned Products 20 Per Column" is now "Pinned Products Limit Per Column" — pick 10 to 35 products per column from the new dropdown next to the toggle.
* "Show only low-storage products" got its own dropdown too — pick how many low-storage products it shows, 10 to 35 instead hardlocked to 20.
* "Designations Visual on/off" now resets back on after every save reload, even if you had turned it off — so it won't look like something broke.

v1.2.0 | 2026-07-15
* Now supports game version 0.8.6 (experimental), and remains compatible back to 0.8.4.
* New HUD tab option "Show HUD on world map, research & space" — Tweaks++ hides the HUD on those three screens by default to keep them clean; turn it on to keep the full HUD visible there like the base game. (thanks Vladovlak for the suggestion)

v1.1.9 | 2026-07-01
* All keybinds can now be viewed and rebound from the Modded Keybinds tab in Settings — install the Keybind Framework mod to use it.
* All translations have been updated, thanks to Hoochie for the updated Russian translation.
* Fixed the pinned products panel extending off screen when dragged near an edge and then growing a new row or column. (thanks Vladovlak for the report)

v1.1.8 | 2026-06-22
* New "Pinned Products 20 Per Column" toggle — 20 products per column, up to 4 columns. (thanks Nikdo_CZ for the suggestion)
* New "Planning" color picker — recolor planned buildings (placed in Planning mode) so they are more easy to see when building is small, blocked by designations or sitting on rock; 8 colors. Already-placed ones update after a save reload. (Thanks Mag for brining up this problem some face with vanilla planning color)
* New Mine Tower boundary-line color picker (next to the pause button) — color each tower's area outline to tell mining/dumping/leveling towers apart. (thanks petter566 for the suggestion)
* Renamed the "Overlays" settings tab to "Modifications 2".
* Reworked "Auto-recover Stuck Vehicles" — now only recalls trucks and excavators that are truly sealed off with no path to any depot, instead of looping forever or missing genuinely stuck ones.

v1.1.7 | 2026-06-13
* Fixed Vehicle Sound Range wrongly extending generator sound — generator sounds now follow Machine Sound Range as intended
* New "Pinned products bar colors" toggle — colors each pinned product's storage bar by how full global storage is: red, orange, yellow, green (thanks Accobys for the suggestion)
* Pinned products sort moved to a dropdown and added "global storage" options — sort by how full storage is, high/low or low/high, on top of the existing amount sorting
* New "Compacted Pinned Products" toggle — makes the pinned products panel narrower and hides the small trend graphs to take up less screen space
* New "Show only low-storage products" toggle — hides products whose storage is full and shows only the ones running low (up to 10, or 20 when more than 10 are low)
* New "Allow Exhaust" option in the Fluids section — store exhaust gas in fluid tanks and carry it with fluid trucks, like Allow Steam. (thanks warrenc for the suggestion)
* New Audio sliders for trains: "Train Sound Volume" (Off to full) to mute or quiet trains, and "Train Sound Range" for how far they carry. (thanks Mag and Rixx121 for the idea)
* New "Designations Visual on/off" toggle. Shift+Ctrl+D hotkey — hide or show the colored designation tiles in the world to clear clutter (thanks Mag for bringing this up)
* New "Designations on/off" checkbox in the Stacker Tower window — shows the designations you've placed around that stacker (thanks Mag for bringing this up)
* Fixed pinned products trend graphs always showing grey — they now turn green when stock is rising and red when falling (huge thanks to tatertotme for the report)
* New "Disable Rain" toggle in the Weather section — turns off rainfall for a clearer view. (thanks Mag for the idea)

v1.1.6 | 2026-06-10
* New Vehicles-tab toggle "Dump to Shipyard" — when you don't use a Truck HQ, trucks that get stuck holding cargo with nowhere to offload now drive to the Shipyard,
   dump their load there, and free themselves for new jobs instead of sitting idle. Automatically greyed out while a Truck HQ is built, since the Truck HQ already does this.
   (thanks Kayser for the great suggestion)
* New toggles "Pinned products sorted high/low" and "low/high" (Modifications → General) — automatically keeps the pinned products list sorted by stored amount in whichever direction you pick. (thanks Accobys for the great idea)

v1.1.5 | 2026-06-08
* SirColibris wanted to fire the Aggressive Salesman, so a new "Fire Aggressive Salesman" checkmark has been added in Mining Tower Labels so you all can fire him too. Removes the custom label image back to vanilla, while size, zoom, line and color settings can still be made.
* Fixed so the Networks HUD from the Programmable Networks mod can be moved alone and not get linked to the Ships HUD. (thanks Hashishish for the report)

v1.1.4 | 2026-06-06
* Resource Depth Labels — major performance rework: opens instantly with no more lag or freezing on large maps, stays accurate, and updates live as you mine.
* New Vehicles-tab toggle "Offload cargo to Shipyard at Truck HQ" — turn it off if you don't want trucks dumping leftover cargo to the Shipyard when they park in a Truck HQ. On by default; requires Gameplay++.
* Brought back the background plate behind the alert/notification HUD — it now moves and scales together with Alert/notifications HUD. Thanks to Hashishish for the reminder to add it back.
* Added a pin button to the windows — pin them to keep them open (thanks Malibu2 for the suggestion).
* Added missing translations for multiple languages (thanks kukularra for reporting the missing strings).
* Added more missing translations across all languages.
* Updated Ukrainian translation — huge thanks to SirColibris for the proofreading and corrections.

v1.1.3 | 2026-05-31
* Fixed mining tower salseman being less agressive to get mining tower sold xD. fixes on top of the pause and settings menus on 0.8.4. Thanks to НочнаяФурия makeing me see the problem!

v1.1.2 | 2026-05-25
* Mining Tower Labels — now integrates with the new vanilla 0.8.5 tower label. 5 sliders for size, height, connector width, and zoom shrink / zoom height when zoomed out. 
  On 0.8.4 it falls back to the old standalone label style.
* Fixed Unlimited Tower Area not working on experimental — corner and side dragging beyond the normal limit works again.
* Fixed Allow Steam toggle — steam products now appear again in fluid storage on 0.8.5.
* New "Mining Connector Line Color" dropdown — pick the dashed line color from 7 diffrent colors. 0.8.5 only; greyed out on 0.8.4.
* If there is anything you don't feel is right in Ukrainian language and wan't something changed/added contact SirColibris on Discord in COI server.
* New "Storage KE/KF Labels" section in Overlays with a "KE/KF Icon Size" slider. For the floating Keep Full / Keep Empty icons (requires Cheat++).

v1.1.1 | 2026-05-23
* Unlimited Tower Area — now works on both older game versions and 0.8.5, supporting both corner dragging and side-midpoint dragging, for forestry AND mining towers.
* Added Simplified Chinese translation. The mod now supports 8 languages.
* Updated Ukrainian translation with proofreader refinements.

v1.1.0 | 2026-05-22
* Added Spanish, Portuguese, Ukrainian and Italian translations. The mod now supports 7 languages in total: English, German, Russian, Spanish, Portuguese, Ukrainian and Italian.
* Updated the mod thumbnail.
* Fixed translation errors.
* Added missing translations and corrected Russian/German text so the UI reads correctly.
* Fixed F11 photo mode now it hides all HUD elements. Thanks to PrimeDew for the report.

v1.0.9 | 2026-05-15
* Fixed the show/hide toggle for Parking HQ overlay (thanks tsdfab for the report)


v1.0.8 | 2026-05-15
* Huge UI redesign for much better navigation across all settings and tabs.


v1.0.7 | 2026-05-13
* Removed the old auto belt/pipe placement system, replaced by the new Bridge
  Port Host in Gameplay++.

v1.0.6 | 2026-05-11
* New "Farm Alerts" section in Gameplay tab — three toggles to (1) show the
  per-farm 'inventory full' bell even when the farm is empty, (2) globally
  silence farm 'inventory full' alerts, and (3) globally silence farm
  'drying out' & 'crops lost' alerts. Thanks to ComplexUnit for the great suggestion.

v1.0.5 | 2026-05-10
* Fixed Parking HQ HUD, missing from the Tweaks HUD menu, so you can now toggle and move them again.
* Fixed pinned products undercounting food stored in Markets — totals now show all storage again. (thanks QualquerCoisa for the report)

v1.0.4 | 2026-05-10
* Updated manifest for latest version.

v1.0.3 | 2026-05-08
* HUD — HUD elements no longer draw on top on research screen or worldmap.

v1.0.2 | 2026-05-06
* HUD positions — improved load reliability: positions now apply after the game has fully settled, fixing occasional misplacement on save load. Added a second scan pass at 8 seconds for slow-loading saves. Fixed a locale bug where positions could fail to load on non-English systems.

v1.0.1 | 2026-05-04
* HUD visibility — Calendar 1 is no longer hideable (hiding it could block opening mod settings buttons)
* Mine trucks wait at ore sorter — optional Skip pure loads: only mixed multi-product loads are sent to the sorter; single-product loads stay at the tower
* Resource Depth Labels — fixed max height and min depth values (now uses correct per-layer terrain data)
* Resource Depth Labels — labels now appear above high res bars from vanilla that would block the label.
* Resource Depth Labels — secondary ore bars no longer show false materials from nearby unrelated deposits
* Resource Depth Labels — each bar now displays its own depth instead of sharing the primary ore's depth
* Resource Depth Labels — updated default values: size 3.8×, height 0, background 62%
* Underground Belt/Pipe — renamed toggle from "Underground Belt" to reflect pipe auto-spawn addition (requires Gameplay++ v1.0.2+)

v1.0.0 | 2026-05-03
* Auto Quick Remove on Demolish — auto-recover stored products when demolishing a storage
* Underground Belt auto-spawn on cable-stayed bridges (togglable)
* Auto-recover Stuck Vehicles
* Bridge Scaling for large vehicles (Truss 2-lane, Cable 4-lane)
* Vehicle Scaling modes — Instant Scale and Gradual Scale
* Center Driving for big vehicles (fixes bridge/cable clipping)
* Allow Steam in fluid tanks and trucks
* Auto Ship Delivery — automated world map repair/upgrade orders
* Upgrade Manager window — repair mines/rigs and upgrade settlements from one place
* Free Camera (no collision) and Ground Clipping (camera under terrain)
* Truly Unlimited Zoom
* Unlimited Designations — dig, dump, forestry, demolish drag, upgrade drag
* Classic Recipe Display — show real quantities and 60s rates in recipe windows
* Pinned Products 1 Column Only
* Vehicle & Machine sound range extension at low zoom
* Resource Depth Labels — max height (green) and max depth (red) arrows with size/position/transparency controls
* Mining Tower Labels — pin labels above the selected mining tower and its designation area with size/height sliders
* Battle Score on World Map — shows fleet Battle Score live in the ship panel on the world map
* Fog toggles — Disable Fog or 50% Less Fog
* Disable Clouds
* Disable Shadows + shadow quality options (Medium/High) + custom distance
* Disable Building Smoke / steam / fire particles
* Disable Vehicle Dust particles
* Draggable HUD and scaling — Ctrl+click to move HUD, lock layouts, reset; per-piece % sliders; mod HUD that hooks in can share the same saved placement and scale
* HUD visibility — toggles for Calendar, Stats, Electricity, Unity/Pop, Computing, Ships, Pinned Products, Shortcuts, Notifications, Research, Alerts, Goals, Messages
* Mass Vehicle Actions — Scrap, Replace, Order New across all depots from one tab
* Double Storage & Transport Throughput — 2x storage, 4x sorters, 45% for lifts/balancers/connectors
